.slider::-webkit-slider-runnable-track {
  height: 4px;
  border-radius: 8px;
  background: linear-gradient(
    90deg,
    #90ae5e calc(var(--slider-fraction) * 100%),
    #54653e calc(var(--slider-fraction) * 100%)
  );
  position: relative;
  z-index: 1;
}

.slider::-moz-range-track {
  height: 4px;
  border-radius: 8px;
  background: #54653e;
  position: relative;
  z-index: 1;
}

.slider::-webkit-slider-thumb {
  appearance: none;
  cursor: pointer;
  height: 20px;
  width: 20px;
  border-radius: 50%;
  background: #90ae5e;
  transform: translate(0, -50%);
  transition: all 0.5s;
  position: relative;
  z-index: 2;
}

.slider::-webkit-slider-thumb:hover {
  background: #cdf986;
  transform: translate(0, -50%) scale(1.1);
}

.slider::-webkit-slider-thumb:active {
  background: #cdf986;
  transform: translate(0, -50%) scale(1.2);
}

.gradient {
  background-color: #20251f;
}

.gradient::before {
  content: '';
  position: absolute;
  right: -600px;
  bottom: -620px;
  width: 840px;
  height: 600px;
  background: radial-gradient(
    50% 50% at 50% 50%,
    #0047ff 0%,
    #3a81b4 26%,
    #92d6bf 61%,
    #cdf986 82%,
    #cdf986 100%
  );
  filter: blur(250px);
}

.slider-markers {
  width: calc(100% + 2px);
  transform: translateX(-1px);
}

.slider-markers :nth-child(even) {
  pointer-events: none;
  color: transparent;
  height: 20px;
  width: 2px;
  background-color: #54653e;
  transform: translate(4px, -18px) scale(0.6);
}

.slider-markers :nth-child(odd) {
  transform: translate(2px, 8px);
}
